Bulletin d'alerte Debian

DSA-1741-1 psi -- Dépassement d'entier

Date du rapport :
14 mars 2009
Paquets concernés :
psi
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 518468.
Dans le dictionnaire CVE du Mitre : CVE-2008-6393.
Plus de précisions :

Jesus Olmos Gonzalez a découvert qu'un dépassement d'entier dans le client Jabber PSI pourrait conduire à un déni de service à distance.

L'ancienne distribution stable (Etch) n'est pas concernée par ce problème.

Pour la distribution stable (Lenny), ce problème a été corrigé dans la version 0.11-9.

Pour la distribution unstable (Sid), ce problème a été corrigé dans la version 0.12.1-1.

Nous vous recommandons de mettre à jour votre paquet psi.

Corrigé dans :

Debian GNU/Linux 5.0 (lenny)

Source :
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9.dsc
http://security.debian.org/pool/updates/main/p/psi/psi_0.11.orig.tar.gz
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9.diff.gz
Alpha:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_arm.deb
ARM EABI:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_armel.deb
HP Precision:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_ia64.deb
Big-endian MIPS:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_mips.deb
Little-endian MIPS:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/p/psi/psi_0.11-9_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.